@ECHO OFF

ECHO :: PREPARING OBJECTS DATA (objects.dat) USING OBJDEFS.SCR ::

rem Don't do this step unless you have modified OBJDEFS.SCR

rem prepare objects
rem if errorlevel 1 goto fail

rem Don't do this step unless you have modified OBJCLASS.SCR

ECHO :: PREPARING OBJECT CLASS (objclass.dat) USING OBJCLASS.SCR ::

rem prepare classes
rem if errorlevel 1 goto fail

ECHO :: BUILDING ROAM SCENARIOS

rem CMDR career files are in the format cmdr_rxxxx.scr

prepare cmdr_r0000.scr
if errorlevel 1 goto fail

rem PSP career files are in the format psp_rxxxx.scr

prepare psp_r0000.scr
if errorlevel 1 goto fail

rem EFP career files are in the format efp_rxxxx.scr

prepare efp_r0000.scr
if errorlevel 1 goto fail

rem MIM/AFM/EFM/RFM/ECM/MCM careers files are in the format mrn_rxxxx.scr

prepare mrn_r0000.scr
if errorlevel 1 goto fail

rem SFM career files are in the format sfm_rxxxx.scr

prepare sfm_r0000.scr
if errorlevel 1 goto fail

ECHO :: BUILDING ACM SCENARIOS

rem CMDR career files are in the format cmdr_cxxxx.scr
rem
rem To create ACM scenarios for any other career, the file
rem prefixes are the same format as above e.g. psp_c0000.scr
rem would be an ACM scenario file for the PSP career
rem

prepare cmdr_c0000.scr
if errorlevel 1 goto fail

ECHO :: BUILDING IA SCENARIOS

rem IA scenario files are in the format iaxxxx.scr

for %1 in (ia01*.scr) do prepare %1
if errorlevel 1 goto fail

ECHO :: BUILDING ROAM SCENARIO LANGUAGE DEFINITION FILE ::

prepare PHRASES cmdr_r0000.scr
if errorlevel 1 goto fail

prepare PHRASES psp_r0000.scr
if errorlevel 1 goto fail

prepare PHRASES efp_r0000.scr
if errorlevel 1 goto fail

prepare PHRASES mrn_r0000.scr
if errorlevel 1 goto fail

prepare PHRASES sfm_r0000.scr
if errorlevel 1 goto fail

ECHO :: BUILDING ACM SCENARIO LANGUAGE DEFINITION FILE ::
rem
rem To create ACM scenarios for any other career, the file
rem prefixes are the same format as above e.g. psp_c0000.scr
rem would be an ACM language definition file for the PSP career
rem

prepare PHRASES cmdr_c0000.scr
if errorlevel 1 goto fail

ECHO :: BUILDING IA SCENARIO LANGUAGE DEFINITION FILE ::

for %1 in (ia01*.scr) do prepare PHRASES %1
if errorlevel 1 goto fail

ECHO :: ZIPPING DISTRIBUTION FILES ::
rem
rem Next command uses Winzip commandline. If you don't have it, disable that line
rem and zip up the file by other means. Zip files should use the default
rem compression. So, if you use -ex the game will NOT be able to read the archives
rem

zip scenarios.zip connect.dat objclass.dat objdefs.dat

zip scenarios.zip cmdr*.dat cmdr*.des cmdr*.mis

zip scenarios.zip psp*.dat psp*.des psp*.mis

zip scenarios.zip efp*.dat efp*.des efp*.mis

zip scenarios.zip mrn*.dat mrn*.des mrn*.mis

zip scenarios.zip sfm*.dat sfm*.des sfm*.mis

zip scenarios.zip ia01*.des

goto ok

:fail
echo AN ERROR OCCURED!
goto exit

:ok
echo ALL DONE!

:exit